normalizeMedianAbsValues {limma} | R Documentation

## Normalize Columns of a Matrix to have the Median Absolute Value

### Description

Performs scale normalization of an M-value matrix or an A-value matrix across a series of arrays. Users do not normally need to call these functions directly - use `normalizeBetweenArrays` instead.

### Usage

    normalizeMedianAbsValues(x)

### Arguments

`x` | numeric matrix

### Details

If `x` is a matrix of log-ratios of expression (M-values) then `normalizeMedianAbsValues` is very similar to scaling to equalize the median absolute deviation (MAD) as in Yang et al (2001, 2002). Here the median-absolute value is used for preference to as to not re-center the M-values.

`normalizeMedianAbsValues` is also used to scale the A-values when scale-normalization is applied to an `MAList` object.

### Value

A numeric matrix of the same size as that input which has been scaled so that each column as the same median-absolute value.

### Author(s)

Gordon Smyth

### See Also

An overview of LIMMA functions for normalization is given in 05.Normalization.

### Examples

    M <- cbind(Array1=rnorm(10),Array2=2*rnorm(10))
    normalizeMedianAbsValues(M)

[Package limma version 2.16.5 Index]